%global momorel 4
%global gecko_ver 1.9

Summary: Gnome chemistry Utils
Name: gnome-chemistry-utils
Version: 0.8.7
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
Source0: http://download.savannah.nongnu.org/releases/gchemutils/0.8/%{name}-%{version}.tar.bz2
NoSource: 0
URL: http://www.nongnu.org/gchemutils/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: intltool
BuildPrereq: gtk-doc
BuildPrereq: pkgconfig
BuildPrereq: libglade2-devel
BuildPrereq: gtk2-devel
BuildPrereq: gtkglext-devel
BuildPrereq: libgnomeprintui22-devel
BuildPrereq: gnome-vfs2-devel
BuildPrereq: goffice-0.4-devel >= 0.4
BuildPrereq: openbabel-devel >= 2.2.0
BuildPrereq: chemical-mime-data
BuildPrereq: shared-mime-info
BuildPrereq: bodr
BuildPrereq: gecko-devel >= %{gecko_ver}
Requires: chemical-mime-data

%description
The Gnome Chemistry Utils provide some utilities and a library
containing Gtk widgets and some C++ classes related to chemistry.

%package devel
Summary: gnome-chemistry-utils-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
gnome-chemistry-utils-devel

%prep
%setup -q

%build
%configure \
    --disable-scrollkeeper \
    --enable-update-databases=no \
    --disable-schemas-install \
    --enable-mozilla-plugin
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} plugindir=%{_libdir}/mozilla/plugins install
find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications
update-mime-database %{_datadir}/mime > /dev/null 2>&1
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for S in %{_sysconfdir}/gconf/schemas/gcrystal.schemas
do
    gconftool-2 --makefile-install-rule $S > /dev/null
done
gtk-update-icon-cache --quiet /usr/share/icons/hicolor

%postun
/sbin/ldconfig

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_sysconfdir}/gconf/schemas/gcrystal.schemas
%{_bindir}/*
%{_libdir}/mozilla/plugins/libmozgcu.so
%{_libdir}/mozilla/plugins/libmozgcu.la
%{_libdir}/libgcu.so.*
%{_libexecdir}/chem-viewer
%{_datadir}/applications/*.desktop
%{_datadir}/gchemutils
%{_datadir}/locale/*/*/*
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/*/mimetypes/*.png
%{_datadir}/mime/packages/gchemutils.xml
%{_datadir}/mimelnk/application/x-gcrystal.desktop
%{_datadir}/omf/gchem3d-viewer/gchem3d-viewer-C.omf
%{_datadir}/omf/gchemcalc/gchemcalc-C.omf
%{_datadir}/omf/gchemtable/gchemtable-C.omf
%{_datadir}/omf/gcrystal/gcrystal-C.omf
%{_datadir}/gnome/help/gchem3d-viewer
%{_datadir}/gnome/help/gchemcalc
%{_datadir}/gnome/help/gchemtable
%{_datadir}/gnome/help/gcrystal

%{_mandir}/man1/*

%files  devel
%defattr(-, root, root)
%{_includedir}/gcu
%{_libdir}/libgcu.so
%{_libdir}/pkgconfig/gcu.pc
%{_datadir}/doc/gchemutils
%{_mandir}/man3/*

%changelog
* Sat Jul  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.7-4m)
- rebuild against openbabel-2.2.0

* Mon Apr 28 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.7-3m)
- rebuild against firefox-3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.7-2m)
- rebuild against gcc43

* Tue Mar 25 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.7-1m)
- update to 0.8.7

* Sun Jan 27 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.6-1m)
- update to 0.8.6

* Thu Jan  3 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.5-2m)
- rebuild against goffice-0.4

* Sun Dec 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.5-1m)
- update to 0.8.5

* Tue Oct 30 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.4-1m)
- update to 0.8.4

* Fri Sep 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.3-1m)
- update to 0.8.3

* Sun Aug 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.2-2m)
- fix %%post script

* Sun Aug 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.2-1m)
- update to 0.8.2

* Fri Aug  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-5m)
- add intltoolize (intltool-0.36.0)

* Mon Jun 25 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.4-4m)
- added BuildPrereq: firefox-devel

* Fri Mar 23 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.4-3m)
- move libmozgcu.so to %%{_libdir}/mozilla/plugins/

* Wed Mar 14 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-2m)
- no NoSource

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-1m)
- initial build
